MrDeepFakes Forums
  • New and improved dark forum theme!
  • Guests can now comment on videos on the tube.
   
  •  Previous
  • 1
  • ...
  • 45
  • 46
  • 47
  • 48
  • 49(current)
[GUIDE] DeepFaceLab - Google Colab Tutorial
So, I successfully imported my workspace.zip file from Google Drive using the "Import from Drive" option. But then, I want to use option "Extract frames" from video data_src (I have it in MP4 format) but I keep getting:

"/content
python3: can't open file 'DeepFaceLab/main.py': [Errno 2] No such file or directory"


I didn't want to upload the workspace folder with frames and all because it's like 15GB.
first off, thanks for all you do chervonij

on my first attempt with v2, i got these errors during Merge
anyone know whats going on?

Collecting alignments: 100% 1525/1525 [00:04<00:00, 333.30it/s]
Computing motion vectors: 100% 1525/1525 [00:01<00:00, 1049.80it/s]
Running on CPU0.
Running on CPU1.
Merging: 0% 0/1525 [00:00<?, ?it/s]Exception while process data [/content/workspace/data_dst/00001.png]: Traceback (most recent call last):
File "/content/DeepFaceLab/mainscripts/Merger.py", line 151, in process_data
final_img = MergeMasked (self.predictor_func, self.predictor_input_shape, cfg, frame_info)
File "/content/DeepFaceLab/merger/MergeMasked.py", line 327, in MergeMasked
out_img, out_img_merging_mask = MergeMaskedFace (predictor_func, predictor_input_shape, cfg, frame_info, img_bgr_uint8, img_bgr, img_landmarks)
File "/content/DeepFaceLab/merger/MergeMasked.py", line 13, in MergeMaskedFace
img_face_mask_a = LandmarksProcessor.get_image_hull_mask (img_bgr.shape, img_face_landmarks)
File "/content/DeepFaceLab/facelib/LandmarksProcessor.py", line 355, in get_image_hull_mask
lmrks = expand_eyebrows(image_landmarks, eyebrows_expand_mod)
File "/content/DeepFaceLab/facelib/LandmarksProcessor.py", line 324, in expand_eyebrows
if len(lmrks) != 68:
TypeError: object of type 'PosixPath' has no len()

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/content/DeepFaceLab/core/joblib/SubprocessorBase.py", line 71, in _subprocess_run
result = self.process_data (data)
File "/content/DeepFaceLab/mainscripts/Merger.py", line 157, in process_data
raise Exception( f'Error while merging file [{filepath}]: {e_str}' )
Exception: Error while merging file [/content/workspace/data_dst/00001.png]: Traceback (most recent call last):
File "/content/DeepFaceLab/mainscripts/Merger.py", line 151, in process_data
final_img = MergeMasked (self.predictor_func, self.predictor_input_shape, cfg, frame_info)
File "/content/DeepFaceLab/merger/MergeMasked.py", line 327, in MergeMasked
out_img, out_img_merging_mask = MergeMaskedFace (predictor_func, predictor_input_shape, cfg, frame_info, img_bgr_uint8, img_bgr, img_landmarks)
File "/content/DeepFaceLab/merger/MergeMasked.py", line 13, in MergeMaskedFace
img_face_mask_a = LandmarksProcessor.get_image_hull_mask (img_bgr.shape, img_face_landmarks)
File "/content/DeepFaceLab/facelib/LandmarksProcessor.py", line 355, in get_image_hull_mask
lmrks = expand_eyebrows(image_landmarks, eyebrows_expand_mod)
File "/content/DeepFaceLab/facelib/LandmarksProcessor.py", line 324, in expand_eyebrows
if len(lmrks) != 68:
TypeError: object of type 'PosixPath' has no len()


/usr/lib/python3.6/multiprocessing/semaphore_tracker.py:143: UserWarning: semaphore_tracker: There appear to be 1 leaked semaphores to clean up at shutdown
len(cache))
Exception while process data [/content/workspace/data_dst/00001.png]: Traceback (most recent call last):
File "/content/DeepFaceLab/mainscripts/Merger.py", line 151, in process_data
final_img = MergeMasked (self.predictor_func, self.predictor_input_shape, cfg, frame_info)
File "/content/DeepFaceLab/merger/MergeMasked.py", line 327, in MergeMasked
out_img, out_img_merging_mask = MergeMaskedFace (predictor_func, predictor_input_shape, cfg, frame_info, img_bgr_uint8, img_bgr, img_landmarks)
File "/content/DeepFaceLab/merger/MergeMasked.py", line 13, in MergeMaskedFace
img_face_mask_a = LandmarksProcessor.get_image_hull_mask (img_bgr.shape, img_face_landmarks)
File "/content/DeepFaceLab/facelib/LandmarksProcessor.py", line 355, in get_image_hull_mask
lmrks = expand_eyebrows(image_landmarks, eyebrows_expand_mod)
File "/content/DeepFaceLab/facelib/LandmarksProcessor.py", line 324, in expand_eyebrows
if len(lmrks) != 68:
TypeError: object of type 'PosixPath' has no len()

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/content/DeepFaceLab/core/joblib/SubprocessorBase.py", line 71, in _subprocess_run
result = self.process_data (data)
File "/content/DeepFaceLab/mainscripts/Merger.py", line 157, in process_data
raise Exception( f'Error while merging file [{filepath}]: {e_str}' )
Exception: Error while merging file [/content/workspace/data_dst/00001.png]: Traceback (most recent call last):
File "/content/DeepFaceLab/mainscripts/Merger.py", line 151, in process_data
final_img = MergeMasked (self.predictor_func, self.predictor_input_shape, cfg, frame_info)
File "/content/DeepFaceLab/merger/MergeMasked.py", line 327, in MergeMasked
out_img, out_img_merging_mask = MergeMaskedFace (predictor_func, predictor_input_shape, cfg, frame_info, img_bgr_uint8, img_bgr, img_landmarks)
File "/content/DeepFaceLab/merger/MergeMasked.py", line 13, in MergeMaskedFace
img_face_mask_a = LandmarksProcessor.get_image_hull_mask (img_bgr.shape, img_face_landmarks)
File "/content/DeepFaceLab/facelib/LandmarksProcessor.py", line 355, in get_image_hull_mask
lmrks = expand_eyebrows(image_landmarks, eyebrows_expand_mod)
File "/content/DeepFaceLab/facelib/LandmarksProcessor.py", line 324, in expand_eyebrows
if len(lmrks) != 68:
TypeError: object of type 'PosixPath' has no len()


/usr/lib/python3.6/multiprocessing/semaphore_tracker.py:143: UserWarning: semaphore_tracker: There appear to be 1 leaked semaphores to clean up at shutdown
len(cache))
i received same message
edited: i was getting that same message (yesterday) but i'm not getting it today
delete this message
Isn't there a short way to erase blurry and unwanted faces?
DFL 1.0 Colab Question

I use the DFL 1.0 Colab Version and convert it with a AMD GPU at home.

Converting works, but when i try further training with SAEHD at home, i got an error.

Tried with 11_14_2019 openCL and 10_27_2019 and 01_11_2020 no luck.

Deleting the Model , let the training begin.


Code:
 Error: The PlaidML backend for Keras does not support changing tensor shapes with set_value.
existing.shape = Shape(dtype=<DType.FLOAT32: 50>, dims=(5, 5, 240, 3)), value.shape = (3, 240, 1, 1)
Traceback (most recent call last):
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\DeepFaceLab\mainscripts\Trainer.py", line 50, in trainerThread
    device_args=device_args)
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\DeepFaceLab\models\ModelBase.py", line 164, in __init__
    self.onInitialize()
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\DeepFaceLab\models\Model_SAEHD\Model.py", line 428, in onInitialize
    loaded, not_loaded = self.load_weights_safe(not_loaded)
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\DeepFaceLab\models\ModelBase.py", line 442, in load_weights_safe
    model.load_weights(filename)
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\python-3.6.8\lib\site-packages\keras\engine\network.py", line 1166, in load_weights
    f, self.layers, reshape=reshape)
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\python-3.6.8\lib\site-packages\keras\engine\saving.py", line 1058, in load_weights_from_hdf5_group
    K.batch_set_value(weight_value_tuples)
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\python-3.6.8\lib\site-packages\plaidml\keras\backend.py", line 297, in batch_set_value
    set_value(pair[0], pair[1])
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\python-3.6.8\lib\site-packages\plaidml\keras\backend.py", line 1425, in set_value
    + 'existing.shape = ' + str(x.shape) + ', value.shape = ' + str(value.shape))
NotImplementedError: The PlaidML backend for Keras does not support changing tensor shapes with set_value.
existing.shape = Shape(dtype=<DType.FLOAT32: 50>, dims=(5, 5, 240, 3)), value.shape = (3, 240, 1, 1)


build_01_11_2020:


Code:
Running trainer.

Loading model...
Press enter in 2 seconds to override model settings.Using plaidml.keras.backend backend.
INFO:plaidml:Opening device "opencl_amd_ellesmere.0"
Error: module 'keras.backend' has no attribute 'tf'
Traceback (most recent call last):
  File "D:\DeepFaceLab_1.0_OpenCL_build_01_11_2020\DeepFaceLab_OpenCL\_internal\DeepFaceLab\mainscripts\Trainer.py", line 52, in trainerThread
    device_args=device_args)
  File "D:\DeepFaceLab_1.0_OpenCL_build_01_11_2020\DeepFaceLab_OpenCL\_internal\DeepFaceLab\models\ModelBase.py", line 146, in __init__
    self.onInitialize()
  File "D:\DeepFaceLab_1.0_OpenCL_build_01_11_2020\DeepFaceLab_OpenCL\_internal\DeepFaceLab\models\Model_SAEHD\Model.py", line 499, in onInitialize
    self.src_dst_opt.get_updates( G_loss, self.model.src_dst_trainable_weights)
  File "D:\DeepFaceLab_1.0_OpenCL_build_01_11_2020\DeepFaceLab_OpenCL\_internal\DeepFaceLab\nnlib\nnlib.py", line 959, in get_updates
    e = K.tf.device("/cpu:0") if self.tf_cpu_mode > 0 else None
AttributeError: module 'keras.backend' has no attribute 'tf'




Maybe Colab uses another Version.
So my question is: Which Version does Colab use or which built is compatible to Colab.

Thanks, i know there is no support, but maybe somebody knows.
Not working! Huh

/content
Drive already mounted at /content/drive; to attempt to forcibly remount, call drive.mount("/content/drive", force_remount=True).
Archive exist!
Time to end session: 12 hours
Traceback (most recent call last):
 File "DeepFaceLab/main.py", line 6, in <module>
   from core.leras import nn
 File "/content/DeepFaceLab/core/leras/__init__.py", line 1, in <module>
   from .nn import nn
 File "/content/DeepFaceLab/core/leras/nn.py", line 26, in <module>
   from core.interact import interact as io
 File "/content/DeepFaceLab/core/interact/__init__.py", line 1, in <module>
   from .interact import interact
 File "/content/DeepFaceLab/core/interact/interact.py", line 7, in <module>
   import colorama
ModuleNotFoundError: No module named 'colorama'
(02-10-2020, 03:47 PM)habitor35 Wrote: You are not allowed to view links. Register or Login to view.DFL 1.0 Colab Question

I use the DFL 1.0 Colab Version and convert it with a AMD GPU at home.

Converting works, but when i try further training with SAEHD at home, i got an error.

Tried with 11_14_2019 openCL and 10_27_2019 and 01_11_2020 no luck.

Deleting the Model , let the training begin.


Code:
 Error: The PlaidML backend for Keras does not support changing tensor shapes with set_value.
existing.shape = Shape(dtype=<DType.FLOAT32: 50>, dims=(5, 5, 240, 3)), value.shape = (3, 240, 1, 1)
Traceback (most recent call last):
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\DeepFaceLab\mainscripts\Trainer.py", line 50, in trainerThread
    device_args=device_args)
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\DeepFaceLab\models\ModelBase.py", line 164, in __init__
    self.onInitialize()
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\DeepFaceLab\models\Model_SAEHD\Model.py", line 428, in onInitialize
    loaded, not_loaded = self.load_weights_safe(not_loaded)
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\DeepFaceLab\models\ModelBase.py", line 442, in load_weights_safe
    model.load_weights(filename)
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\python-3.6.8\lib\site-packages\keras\engine\network.py", line 1166, in load_weights
    f, self.layers, reshape=reshape)
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\python-3.6.8\lib\site-packages\keras\engine\saving.py", line 1058, in load_weights_from_hdf5_group
    K.batch_set_value(weight_value_tuples)
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\python-3.6.8\lib\site-packages\plaidml\keras\backend.py", line 297, in batch_set_value
    set_value(pair[0], pair[1])
  File "D:\DeepFaceLab_OpenCL_SSE_build_11_14_2019\DeepFaceLab_OpenCL_SSE\_internal\python-3.6.8\lib\site-packages\plaidml\keras\backend.py", line 1425, in set_value
    + 'existing.shape = ' + str(x.shape) + ', value.shape = ' + str(value.shape))
NotImplementedError: The PlaidML backend for Keras does not support changing tensor shapes with set_value.
existing.shape = Shape(dtype=<DType.FLOAT32: 50>, dims=(5, 5, 240, 3)), value.shape = (3, 240, 1, 1)


build_01_11_2020:


Code:
Running trainer.

Loading model...
Press enter in 2 seconds to override model settings.Using plaidml.keras.backend backend.
INFO:plaidml:Opening device "opencl_amd_ellesmere.0"
Error: module 'keras.backend' has no attribute 'tf'
Traceback (most recent call last):
  File "D:\DeepFaceLab_1.0_OpenCL_build_01_11_2020\DeepFaceLab_OpenCL\_internal\DeepFaceLab\mainscripts\Trainer.py", line 52, in trainerThread
    device_args=device_args)
  File "D:\DeepFaceLab_1.0_OpenCL_build_01_11_2020\DeepFaceLab_OpenCL\_internal\DeepFaceLab\models\ModelBase.py", line 146, in __init__
    self.onInitialize()
  File "D:\DeepFaceLab_1.0_OpenCL_build_01_11_2020\DeepFaceLab_OpenCL\_internal\DeepFaceLab\models\Model_SAEHD\Model.py", line 499, in onInitialize
    self.src_dst_opt.get_updates( G_loss, self.model.src_dst_trainable_weights)
  File "D:\DeepFaceLab_1.0_OpenCL_build_01_11_2020\DeepFaceLab_OpenCL\_internal\DeepFaceLab\nnlib\nnlib.py", line 959, in get_updates
    e = K.tf.device("/cpu:0") if self.tf_cpu_mode > 0 else None
AttributeError: module 'keras.backend' has no attribute 'tf'




Maybe Colab uses another Version.
So my question is: Which Version does Colab use or which built is compatible to Colab.

Thanks, i know there is no support, but maybe somebody knows.

Colab uses whatever latest dfl build available on github. If you train a model on colab, you need latest dfl on your pc to merge it. Stuck with cpu since you have amd gpu.
Seen some have cloned old dfl builds on colab to run older models. Probably mentioned a couple of times somewhere on this thread.

(02-11-2020, 01:04 PM)DeepDelta Wrote: You are not allowed to view links. Register or Login to view.Not working! Huh

/content
Drive already mounted at /content/drive; to attempt to forcibly remount, call drive.mount("/content/drive", force_remount=True).
Archive exist!
Time to end session: 12 hours
Traceback (most recent call last):
 File "DeepFaceLab/main.py", line 6, in <module>
   from core.leras import nn
 File "/content/DeepFaceLab/core/leras/__init__.py", line 1, in <module>
   from .nn import nn
 File "/content/DeepFaceLab/core/leras/nn.py", line 26, in <module>
   from core.interact import interact as io
 File "/content/DeepFaceLab/core/interact/__init__.py", line 1, in <module>
   from .interact import interact
 File "/content/DeepFaceLab/core/interact/interact.py", line 7, in <module>
   import colorama
ModuleNotFoundError: No module named 'colorama'

Not sure what this "colorama" is. Are you trying to use an older model? Say pre dfl 2.0 edition?
Or maybe some modules are wrongly named/placed.
(02-11-2020, 01:18 PM)Groggy4 Wrote: You are not allowed to view links. Register or Login to view.
(02-11-2020, 01:04 PM)DeepDelta Wrote: You are not allowed to view links. Register or Login to view.Not working! Huh

/content
Drive already mounted at /content/drive; to attempt to forcibly remount, call drive.mount("/content/drive", force_remount=True).
Archive exist!
Time to end session: 12 hours
Traceback (most recent call last):
 File "DeepFaceLab/main.py", line 6, in <module>
   from core.leras import nn
 File "/content/DeepFaceLab/core/leras/__init__.py", line 1, in <module>
   from .nn import nn
 File "/content/DeepFaceLab/core/leras/nn.py", line 26, in <module>
   from core.interact import interact as io
 File "/content/DeepFaceLab/core/interact/__init__.py", line 1, in <module>
   from .interact import interact
 File "/content/DeepFaceLab/core/interact/interact.py", line 7, in <module>
   import colorama
ModuleNotFoundError: No module named 'colorama'

Not sure what this "colorama" is. Are you trying to use an older model? Say pre dfl 2.0 edition?
Or maybe some modules are wrongly named/placed.

Now it's back to normal, very weird. Undecided
What values do you train in colab with a P100 on colab 2.0?

Thanks
  •  Previous
  • 1
  • ...
  • 45
  • 46
  • 47
  • 48
  • 49(current)

Forum Jump:

Users browsing this thread: iilurbbeu, 2 Guest(s)